squirrelscan
GitHub

Get credit balance

Read the active organization's credit balance and pricing

GET/v1/credits

Current credit balance for the active organization, plus the plan and the credit pricing table. Pass `?orgId=` to target a specific organization the caller is a member of.

Query parameters

orgIdstring

Target a specific organization the caller belongs to. Defaults to the active org.

Responses

Balance, plan, and pricing.

balanceintegerrequired

Available credits for the organization.

planobjectrequired

The organization's plan definition.

pricingobjectrequired

Credit cost table keyed by feature.

pricingVersionintegerrequired

Monotonic version of the pricing table.

curl --request GET \
  --url "https://api.squirrelscan.com/v1/credits"
{
  "balance": 123,
  "plan": {},
  "pricing": {},
  "pricingVersion": 123
}

Type to search…

↑↓ navigate openesc close